/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package org.apache.tuscany.sca.binding.jms;

import javax.jms.Message;
import javax.jms.Session;

import org.apache.tuscany.sca.binding.jms.impl.JMSBinding;
import org.apache.tuscany.sca.binding.jms.provider.TextMessageProcessor;

public class TestMessageProcessor extends TextMessageProcessor {

    public static boolean insertPayloadIntoJMSMessageCalled;
    public static boolean extractPayloadFromJMSMessageCalled;
    public static boolean setOperationNameCalled;
    
    public TestMessageProcessor(JMSBinding jmsBinding) {
        super(jmsBinding);
    }
    public Object extractPayloadFromJMSMessage(Message message) {
        extractPayloadFromJMSMessageCalled = true;
        return super.extractPayloadFromJMSMessage(message);
    }

    public String getOperationName(Message message) {
        // is this used?
        return super.getOperationName(message);
    }

    public Message insertPayloadIntoJMSMessage(Session session, Object payload) {
        insertPayloadIntoJMSMessageCalled = true;
        return super.insertPayloadIntoJMSMessage(session, payload);
    }

    public void setOperationName(String operationName, Message message) {
        setOperationNameCalled = true;
        super.setOperationName(operationName, message);
    }

}
