/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package org.apache.tuscany.sca.domain.manager.impl;

import org.apache.tuscany.sca.core.ExtensionPointRegistry;

/**
 * Domain manager configuration service interface.
 *
 * @version $Rev: 655411 $ $Date: 2008-05-12 05:48:55 +0100 (Mon, 12 May 2008) $
 */
public interface DomainManagerConfiguration {
    
    /**
     * Sets the domain manager root directory.
     * 
     * @param rootDirectory
     */
    void setRootDirectory(String rootDirectory);
    
    /**
     * Returns the domain manager root directory.
     * 
     * @return the domain manager root directory
     */
    String getRootDirectory();
    
    /**
     * Returns the extension point registry used in the
     * domain manager.
     * 
     * @return
     */
    ExtensionPointRegistry getExtensionPoints();

}
