/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package org.apache.tuscany.sca.implementation.jee.impl;

import org.apache.tuscany.sca.assembly.ConstrainingType;
import org.apache.tuscany.sca.assembly.impl.ImplementationImpl;
import org.apache.tuscany.sca.implementation.jee.JEEImplementation;

/**
 * The model representing a JEE implementation in an SCA assembly model.
 * 
 * @version $Rev: 764380 $ $Date: 2009-04-13 10:11:12 +0100 (Mon, 13 Apr 2009) $
 */
class JEEImplementationImpl extends ImplementationImpl implements JEEImplementation {

    private String archive;

    /**
     * Constructs a new JEE implementation.
     */
    JEEImplementationImpl() {
        super();
    }

    @Override
    public ConstrainingType getConstrainingType() {
        // The JEE implementation does not support constrainingTypes
        return null;
    }
    
    @Override
    public void setConstrainingType(ConstrainingType constrainingType) {
        // The JEE implementation does not support constrainingTypes
    }

    public String getArchive() {
        return archive;
    }

    public void setArchive(String archive) {
        this.archive = archive;
    }
}
