/*
 * (c) Copyright BEA Systems, Inc., Cape Clear Software, International Business Machines Corp, Interface21, IONA Technologies,
 * Oracle, Primeton Technologies, Progress Software, Red Hat, Rogue Wave Software, SAP AG., Siemens AG., Software AG., Sybase
 * Inc., TIBCO Software Inc., 2005, 2007. All rights reserved.
 * 
 * see http://www.osoa.org/display/Main/Service+Component+Architecture+Specifications
 */
package org.osoa.sca.annotations;

import static java.lang.annotation.ElementType.METHOD;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

import java.lang.annotation.Retention;
import java.lang.annotation.Target;

/**
 * Annotation on a method that indicates that the method is non-blocking and communication
 * with the service provider may use buffer the requests and send them at some later time.
 *
 * @version $Rev: 701389 $ $Date: 2008-10-03 15:25:27 +0100 (Fri, 03 Oct 2008) $
 */
@Target({METHOD})
@Retention(RUNTIME)
public @interface OneWay {
}
