/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package org.apache.tuscany.sca.vtest.assembly.composite.impl;

import org.apache.tuscany.sca.vtest.assembly.composite.FService;
import org.apache.tuscany.sca.vtest.assembly.composite.CService;
import org.apache.tuscany.sca.vtest.assembly.composite.DService;
import org.osoa.sca.annotations.Reference;
import org.osoa.sca.annotations.Service;

@Service(FService.class)
public class FServiceImpl implements FService {

    @Reference
    protected CService c;
    
    @Reference
    protected DService d;
    
    public String getString(String a) {
        return c.getState();
    }
    
    public String getGreetings(String name) {
        return d.getSomeProperty();
    }

}

